-rw-r--r--   1 kinzler  ftp          797 Feb  3  1995 patch-kinzler
|The man page for xfaces 3.3 documents that the -c command line option
|will set the XFaces.frame.maxWidth resource, while in the code, it
|actually sets the XFaces.frame.setWidth resource.  This patch will fix
|the code to correspond to the man page, which is, I believe, the more
|desirable behavior.
|
|Steve Kinzler, kinzler@cs.indiana.edu, Feb 95

-rw-r--r--   1 kinzler  ftp         2997 Apr 26  1995 patch-kinzler3
|This patch for xfaces 3.3 will disable checking for ain/dom/user image
|files and only check for ain/dom/user/face files.  This will speed up
|the facedb search considerably and is recommended if all your facedb
|databases have image files named "face.*", like the picons databases do.
|
|Be sure to compile xfaces with FACE_FILES_ONLY defined to enable this
|optimization.
|
|Steve Kinzler, kinzler@cs.indiana.edu, Apr 95

-rw-r--r--   1 kinzler  ftp         3950 May  2  1995 patch-graaff
|I just noticed you have made some patches for xfaces. I've also made one,
|which addresses the problem with the cached entries. I've inserted some
|code to make proper cache checks, instead of commenting things out,
|but my code is far from elegant.
|-- 
|Hans de Graaff                              J.J.deGraaff@TWI.TUDelft.NL
|Delft University of Technology        Department of Information Systems

-rw-r--r--   1 kinzler  ftp         3887 May 20  1996 patch-amir
|Date: Mon, 20 May 96 19:06:33 IDT
|From: amir@piccard.ddddf.com (Amir J. Katz)
|To: faces@cs.indiana.edu
|Subject: Patches to xfaces.man
|
|I've found some errors & typos in xfaces.man:
|1. In the section describing resource Xfaces.imageTypes:
|   Shaped xpm file names is wrong. It says "face-shaped.xpm". Should
|   be "face-shape.xpm".
|2. In the section describing the resource Xfaces.commandSearch:
|   "resoiurce" --> "resource".
|3. In the section describing resource Xfaces.afterCommandBindings:
|   The vertical bar (pipe) is not escaped, so it gets eaten by nroff.
|4. In the section documenting the "XFaces.useCommands" resource.
|
|This patch supersedes my previous post, so if you've applied the
|previous patch, please revert to the original and apply this one.
(Hunk #4 failed at 506.)

-rw-r--r--   1 kinzler  ftp         1057 Aug  1  1996 patch-faber
|Date: Thu, 01 Aug 96 13:05:50 PDT
|From: Ted Faber <faber@ISI.EDU>
|To: kinzler@cs.indiana.edu, liebman@zod.clark.net
|Subject: Minor xfaces patch
|
|Hi, guys.  I'm not sure which of you I should send this to, but I found a
|one line bug, a typo really, in the source to xfaces-3.3 available from
|Steve's archive, and have a 1 line patch that fixes it.
|
|In the code to construct the mailitem list from a command output, the tail
|of the list isn't updated properly, which causes xfaces to dump core when
|the list changes significantly.  (Specifically, TheMailItemsTail is NULL
|when TheMailItems isn't, which causes a NULL to be dereferenced.)  Here's
|the patch, do what you want with it.
|
|I'm not on the faces mailing list, so my apologies if this has been posted
|before.

-rw-r--r--   1 kinzler  ftp         1439 Nov  3 20:50 patch-charnier
|Date: Sun, 03 Nov 1996 14:52:02 +0100
|From: "Philippe Charnier" <charnier@xp11.frmug.org>
|To: faces@cs.indiana.edu
|Subject: bug in xfaces-3.3
|
|Hello,
|
|According to the README, I sent this to liebman@zod.clark.net, but I got
|(Name server: zod.clark.net: host not found), so here is again:
|
|I found use of a reference that can be unallocated. Please find the
|enclosed patch.

-rw-r--r--   1 8000          609   Aug 22  2001   patch-robh
|The following patch should get the XFaces.useContentLength resource
|working properly.
|
|Rob Henderson, robh@cs.indiana.edu, Aug 2001
